Subject: Re: [PATCH net-next 2/2] bonding: use the correct ether type for alb

From: Veaceslav Falico <[email-masked]>
Date: Fri, 14 Mar 2014 20:47:10 +0100

On Fri, Mar 14, 2014 at 03:12:33PM -0400, David Miller wrote:
>From: Veaceslav Falico <[email-masked]>
>Date: Fri, 14 Mar 2014 19:42:52 +0100
>
>> On Fri, Mar 14, 2014 at 02:29:35PM -0400, David Miller wrote:
>>>From: Veaceslav Falico <[email-masked]>
>>>Date: Thu, 13 Mar 2014 12:41:58 +0100
>>>
>>>> @@ -1005,7 +1005,7 @@ static void alb_send_lp_vid(struct slave *slave,
>>>> u8 mac_addr[],
>>>>  	memset(&pkt, 0, size);
>>>>  	ether_addr_copy(pkt.mac_dst, mac_addr);
>>>>  	ether_addr_copy(pkt.mac_src, mac_addr);
>>>> -	pkt.type = cpu_to_be16(ETH_P_LOOP);
>>>> +	pkt.type = cpu_to_be16(ETH_P_LOOPBACK);
>>>
>>>Had this really never worked properly at all?
>>
>> Yep, but only in cases where the hw/sw didn't filter out broken
>> packets
>> *before* arp processing, as far as I can tell.
>
>Hmmm... what I meant was, was anyone able to receive these packets?
>I think the answer is no.

Yep, as far as I can tell these packets would be dropped, however their
scope was only to update the CAM table and such on switches, which could
have worked, depending on the 'logic' level of their firmware.